# norootforbuild

%define	soname		0
%define	realname	libgeier

Name:		%{realname}%{soname}
Version:	0.12
Release:	1.pm.1.1

Summary:	Libgeier - Open Source Implementierung der ELSTER Schnittstelle
URL:		http://www.taxbird.de/
License:	GPL
Group:		Productivity/Office/Finance

Source0:	http://www.taxbird.de/download/%{name}/%{version}/%{realname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{realname}-build

BuildRequires:	gcc-c++ libxmlsec1-devel libxmlsec1-nss-devel pkg-config


%description
Libgeier ist eine in C geschriebene Bibliothek, zur Validierung von
Elster-Daten, zur Datenübertragung sowie Aufbereitung mittels der von der
Finanzverwaltung überlassenen XSLT-Stylesheets.
Diese Software ist zur Zeit im ALPHA Stadium!

%package -n geier
Summary:	Binary and schadditional files for libgeier
Group:		Productivity/Office/Finance
Requires:	%{name} = %{version}

%description -n geier
Binary and schadditional files for libgeier.


%package -n %{realname}-devel
Summary:	Libraries and Includes etc. to develop with libgeier
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	gcc-c++ libxmlsec1-devel libxmlsec1-nss-devel pkg-config

%description -n libgeier-devel
Libraries and Includes etc. to develop with libgeier






%prep
%setup -q -n %{realname}-%{version}


%build
#autoconf
%configure \
	--libdir=%{_libdir} \
	--with-html-dir=%{_docdir}
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm %{buildroot}%{_libdir}/%{realname}.{a,la}


%clean
%{__rm} -rf %{buildroot}


%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/%{realname}.so.*

%files -n geier
%defattr(-,root,root)
%doc %{_mandir}/man1/geier.1.gz
%dir %{_docdir}/geier
%doc %{_docdir}/geier/*
%{_bindir}/geier
%dir %{_datadir}/%{realname}
%{_datadir}/%{realname}/*

%files -n %{realname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/%{realname}.so
%{_libdir}/pkgconfig/%{realname}.pc


%changelog
* Sun Jan 30 2011 detlef@links2linux.de
- new upstream release <0.12>
* Sun Jan 31 2010 detlef@links2linux.de
- new upstream release <0.11>
* Mon Aug 10 2009 detlef@links2linux.de
- fix spec to fit SLPP
* Mon Jan 12 2009 detlef@links2linux.de
- new upstream release <0.10>
* Mon Jul 21 2008 detlef@links2linux.de
- initial build for PackMan
